Bug 1213442 (CVE-2015-4604, CVE-2015-4605) - CVE-2015-4604 CVE-2015-4605 php: denial of service when processing a crafted file with Fileinfo
Summary: CVE-2015-4604 CVE-2015-4605 php: denial of service when processing a crafted ...
Status: CLOSED ERRATA
Alias: CVE-2015-4604, CVE-2015-4605
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150416,repor...
Keywords: Security
Depends On: 1213451 1213456 1228070 1228071 1228072 1228073 1228074 1228075 1228076 1228077
Blocks: 1213462
TreeView+ depends on / blocked
 
Reported: 2015-04-20 14:58 UTC by Vasyl Kaigorodov
Modified: 2015-06-25 08:46 UTC (History)
19 users (show)

Fixed In Version: php 5.4.40, php 5.5.24, php 5.6.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-25 08:46:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1135 normal SHIPPED_LIVE Important: php security and bug fix update 2015-06-23 12:11:40 UTC
Red Hat Product Errata RHSA-2015:1186 normal SHIPPED_LIVE Important: php55-php security update 2015-06-25 12:31:54 UTC
Red Hat Product Errata RHSA-2015:1187 normal SHIPPED_LIVE Important: rh-php56-php security update 2015-06-25 12:43:17 UTC

Description Vasyl Kaigorodov 2015-04-20 14:58:10 UTC
PHP versions 5.4.40, 5.5.24, and 5.6.8 provide a fix for PHP Fileinfo extension which could crash PHP process when processing a crafted file, causing a denial of service.

Upstream fix:
http://git.php.net/?p=php-src.git;a=commitdiff;h=f938112c495b0d26572435c0be73ac0bfe642ecd

Upstream bug:
https://bugs.php.net/bug.php?id=68819

Comment 1 Vasyl Kaigorodov 2015-04-20 15:20:17 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1213451]

Comment 2 Vasyl Kaigorodov 2015-04-20 15:25:19 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1213456]

Comment 3 Fedora Update System 2015-04-22 22:51:57 UTC
php-5.6.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-23 16:11:04 UTC
php-5.6.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-27 08:39:20 UTC
php-5.5.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Tomas Hoger 2015-05-29 13:35:38 UTC
PHP bug report indicates that this issue was introduced in the fix for CVE-2014-3538 (bug 1098222).  Issue is reproducible with PHP 5.4+ packages as shipped with Red Hat products with the CVE-2014-3538 fix applied.

PHP bug report also indicates that upstream file versions 5.19 - 5.22 (the latest released version to date) are affected, and that the git master is no longer affected.  I was not able to reproduce the issue with file (5.19 from Fedora or 5.22 built from upstream sources).  Jan, can you help clarify file status?

Comment 11 Tomas Hoger 2015-06-05 14:49:09 UTC
The PHP packages as shipped as part of the php54 collection in Red Hat Software Collections were updated to fixed upstream version 5.4.40 via RHSA-2015:1066 released as part of Red Hat Software Collections 2.0.


This issue has been addressed in the php54-php packages in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS

Via RHSA-2015:1066 https://rhn.redhat.com/errata/RHSA-2015-1066.html

Comment 13 Tomas Hoger 2015-06-17 20:41:50 UTC
CVE-2015-4604 and CVE-2015-4605 was assigned for this issue.  For details of the CVE assignment, see:

http://seclists.org/oss-sec/2015/q2/727

Comment 14 errata-xmlrpc 2015-06-23 08:13:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1135 https://rhn.redhat.com/errata/RHSA-2015-1135.html

Comment 15 errata-xmlrpc 2015-06-25 08:32:19 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1186 https://rhn.redhat.com/errata/RHSA-2015-1186.html

Comment 16 errata-xmlrpc 2015-06-25 08:43:40 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1187 https://rhn.redhat.com/errata/RHSA-2015-1187.html


Note You need to log in before you can comment on or make changes to this bug.